#Rukovoditel 3.0.1;

DROP TABLE IF EXISTS app_access_groups;
DROP TABLE IF EXISTS app_access_rules;
DROP TABLE IF EXISTS app_access_rules_fields;
DROP TABLE IF EXISTS app_approved_items;
DROP TABLE IF EXISTS app_attachments;
DROP TABLE IF EXISTS app_comments;
DROP TABLE IF EXISTS app_comments_access;
DROP TABLE IF EXISTS app_comments_forms_tabs;
DROP TABLE IF EXISTS app_comments_history;
DROP TABLE IF EXISTS app_configuration;
DROP TABLE IF EXISTS app_custom_php;
DROP TABLE IF EXISTS app_dashboard_pages;
DROP TABLE IF EXISTS app_dashboard_pages_sections;
DROP TABLE IF EXISTS app_emails_on_schedule;
DROP TABLE IF EXISTS app_entities;
DROP TABLE IF EXISTS app_entities_access;
DROP TABLE IF EXISTS app_entities_configuration;
DROP TABLE IF EXISTS app_entities_groups;
DROP TABLE IF EXISTS app_entities_menu;
DROP TABLE IF EXISTS app_entity_1;
DROP TABLE IF EXISTS app_entity_1_values;
DROP TABLE IF EXISTS app_entity_21;
DROP TABLE IF EXISTS app_entity_21_values;
DROP TABLE IF EXISTS app_entity_23;
DROP TABLE IF EXISTS app_entity_23_values;
DROP TABLE IF EXISTS app_entity_24;
DROP TABLE IF EXISTS app_entity_24_values;
DROP TABLE IF EXISTS app_entity_25;
DROP TABLE IF EXISTS app_entity_25_values;
DROP TABLE IF EXISTS app_entity_26;
DROP TABLE IF EXISTS app_entity_26_values;
DROP TABLE IF EXISTS app_entity_27;
DROP TABLE IF EXISTS app_entity_27_values;
DROP TABLE IF EXISTS app_entity_30;
DROP TABLE IF EXISTS app_entity_30_values;
DROP TABLE IF EXISTS app_entity_31;
DROP TABLE IF EXISTS app_entity_31_values;
DROP TABLE IF EXISTS app_entity_32;
DROP TABLE IF EXISTS app_entity_32_values;
DROP TABLE IF EXISTS app_entity_33;
DROP TABLE IF EXISTS app_entity_33_values;
DROP TABLE IF EXISTS app_entity_34;
DROP TABLE IF EXISTS app_entity_34_values;
DROP TABLE IF EXISTS app_entity_35;
DROP TABLE IF EXISTS app_entity_35_values;
DROP TABLE IF EXISTS app_favorites;
DROP TABLE IF EXISTS app_fields;
DROP TABLE IF EXISTS app_fields_access;
DROP TABLE IF EXISTS app_fields_choices;
DROP TABLE IF EXISTS app_filters_panels;
DROP TABLE IF EXISTS app_filters_panels_fields;
DROP TABLE IF EXISTS app_forms_fields_rules;
DROP TABLE IF EXISTS app_forms_rows;
DROP TABLE IF EXISTS app_forms_tabs;
DROP TABLE IF EXISTS app_global_lists;
DROP TABLE IF EXISTS app_global_lists_choices;
DROP TABLE IF EXISTS app_global_vars;
DROP TABLE IF EXISTS app_help_pages;
DROP TABLE IF EXISTS app_holidays;
DROP TABLE IF EXISTS app_image_map_labels;
DROP TABLE IF EXISTS app_image_map_markers;
DROP TABLE IF EXISTS app_image_map_markers_nested;
DROP TABLE IF EXISTS app_items_export_templates;
DROP TABLE IF EXISTS app_listing_highlight_rules;
DROP TABLE IF EXISTS app_listing_sections;
DROP TABLE IF EXISTS app_listing_types;
DROP TABLE IF EXISTS app_mind_map;
DROP TABLE IF EXISTS app_portlets;
DROP TABLE IF EXISTS app_records_visibility_rules;
DROP TABLE IF EXISTS app_reports;
DROP TABLE IF EXISTS app_reports_filters;
DROP TABLE IF EXISTS app_reports_filters_templates;
DROP TABLE IF EXISTS app_reports_groups;
DROP TABLE IF EXISTS app_reports_sections;
DROP TABLE IF EXISTS app_sessions;
DROP TABLE IF EXISTS app_user_filters_values;
DROP TABLE IF EXISTS app_user_roles;
DROP TABLE IF EXISTS app_user_roles_access;
DROP TABLE IF EXISTS app_user_roles_to_items;
DROP TABLE IF EXISTS app_users_alerts;
DROP TABLE IF EXISTS app_users_alerts_viewed;
DROP TABLE IF EXISTS app_users_configuration;
DROP TABLE IF EXISTS app_users_filters;
DROP TABLE IF EXISTS app_users_login_log;
DROP TABLE IF EXISTS app_users_notifications;
DROP TABLE IF EXISTS app_users_search_settings;


CREATE TABLE IF NOT EXISTS `app_access_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) NOT NULL,
  `is_default` tinyint(1) DEFAULT NULL,
  `is_ldap_default` tinyint(1) DEFAULT NULL,
  `ldap_filter` text NOT NULL,
  `sort_order` int(11) NOT NULL,
  `notes` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8mb4;

INSERT INTO app_access_groups VALUES
('4','Менеджер','1','0','','2',''),
('5','Проектировщик','0','0','','1',''),
('6','Оператор','0','0','','0','');

CREATE TABLE IF NOT EXISTS `app_access_rules` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `entities_id` int(10) unsigned NOT NULL,
  `fields_id` int(10) unsigned NOT NULL,
  `choices` text NOT NULL,
  `users_groups` text NOT NULL,
  `access_schema` text NOT NULL,
  `fields_view_only_access` text NOT NULL,
  `comments_access_schema` varchar(64) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`),
  KEY `idx_fields_id` (`fields_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_access_rules_fields` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `entities_id` int(10) unsigned NOT NULL,
  `fields_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`),
  KEY `idx_fields_id` (`fields_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_approved_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `items_id` int(11) NOT NULL,
  `fields_id` int(11) NOT NULL,
  `users_id` int(11) NOT NULL,
  `signature` text NOT NULL,
  `date_added` bigint(20) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_users_id` (`users_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_attachments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `form_token` varchar(64) NOT NULL,
  `filename` varchar(255) NOT NULL,
  `date_added` date NOT NULL,
  `container` varchar(16) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_backups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `users_id` int(11) NOT NULL,
  `is_auto` tinyint(1) NOT NULL,
  `description` text NOT NULL,
  `filename` varchar(64) NOT NULL,
  `date_added` bigint(20) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_users_id` (`users_id`)
) ENGINE=InnoDB AUTO_INCREMENT=17 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_comments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `items_id` int(11) NOT NULL,
  `created_by` int(11) NOT NULL,
  `description` text NOT NULL,
  `attachments` text NOT NULL,
  `date_added` bigint(20) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_created_by` (`created_by`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_comments_access` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `access_groups_id` int(11) NOT NULL,
  `access_schema` varchar(64) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`),
  KEY `idx_access_groups_id` (`access_groups_id`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8mb4;

INSERT INTO app_comments_access VALUES
('4','21','6','view,create'),
('5','21','5','view,create'),
('6','21','4','view,create,update,delete'),
('7','22','5','view,create'),
('8','22','4','view,create,update,delete'),
('9','23','6','view,create'),
('10','23','4','view,create,update,delete'),
('11','24','5','view,create'),
('12','24','4','view,create,update,delete'),
('13','33','4',''),
('14','34','4',''),
('15','27','4',''),
('16','31','4',''),
('17','30','4',''),
('18','32','4','');

CREATE TABLE IF NOT EXISTS `app_comments_forms_tabs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `name` varchar(64) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_comments_history` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `comments_id` int(11) NOT NULL,
  `fields_id` int(11) NOT NULL,
  `fields_value` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_comments_id` (`comments_id`),
  KEY `idx_fields_id` (`fields_id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_configuration` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `configuration_name` varchar(255) NOT NULL,
  `configuration_value` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=63 DEFAULT CHARSET=utf8mb4;

INSERT INTO app_configuration VALUES
('9','CFG_APP_NAME','CRM 3D Print'),
('10','CFG_APP_SHORT_NAME','3D print'),
('11','CFG_APP_LOGO',''),
('12','CFG_EMAIL_USE_NOTIFICATION','0'),
('13','CFG_EMAIL_SUBJECT_LABEL',''),
('14','CFG_EMAIL_AMOUNT_PREVIOUS_COMMENTS','2'),
('15','CFG_EMAIL_COPY_SENDER','0'),
('16','CFG_EMAIL_SEND_FROM_SINGLE','0'),
('17','CFG_EMAIL_ADDRESS_FROM','noreply@noreply.com'),
('18','CFG_EMAIL_NAME_FROM','noreply'),
('19','CFG_EMAIL_USE_SMTP','0'),
('20','CFG_EMAIL_SMTP_SERVER',''),
('21','CFG_EMAIL_SMTP_PORT',''),
('22','CFG_EMAIL_SMTP_ENCRYPTION',''),
('23','CFG_EMAIL_SMTP_LOGIN',''),
('24','CFG_EMAIL_SMTP_PASSWORD',''),
('25','CFG_LDAP_USE','0'),
('26','CFG_LDAP_SERVER_NAME',''),
('27','CFG_LDAP_SERVER_PORT',''),
('28','CFG_LDAP_BASE_DN',''),
('29','CFG_LDAP_UID',''),
('30','CFG_LDAP_USER',''),
('31','CFG_LDAP_EMAIL_ATTRIBUTE',''),
('32','CFG_LDAP_USER_DN',''),
('33','CFG_LDAP_PASSWORD',''),
('34','CFG_LOGIN_PAGE_HEADING',''),
('35','CFG_LOGIN_PAGE_CONTENT',''),
('36','CFG_APP_TIMEZONE','Europe/Moscow'),
('37','CFG_APP_DATE_FORMAT','d/m/Y'),
('38','CFG_APP_DATETIME_FORMAT','d/m/Y H:i'),
('39','CFG_APP_ROWS_PER_PAGE','10'),
('40','CFG_REGISTRATION_EMAIL_SUBJECT',''),
('41','CFG_REGISTRATION_EMAIL_BODY',''),
('42','CFG_PASSWORD_MIN_LENGTH','5'),
('43','CFG_APP_LANGUAGE','russian.php'),
('44','CFG_APP_SKIN',''),
('45','CFG_PUBLIC_USER_PROFILE_FIELDS',''),
('46','CFG_APP_DISPLAY_USER_NAME_ORDER','firstname_lastname'),
('47','CFG_IS_STRONG_PASSWORD','0'),
('48','CFG_ALLOW_CHANGE_USERNAME','0'),
('49','CFG_ALLOW_REGISTRATION_WITH_THE_SAME_EMAIL','0'),
('50','CFG_ENABLE_MULTIPLE_ACCESS_GROUPS','1'),
('51','CFG_DISPLAY_USER_GROUP_IN_MENU','0'),
('52','CFG_APP_LOGO_URL',''),
('53','CFG_APP_FAVICON',''),
('54','CFG_APP_COPYRIGHT_NAME','CleverCrow'),
('55','CFG_APP_NUMBER_FORMAT','2/./*'),
('56','CFG_APP_FIRST_DAY_OF_WEEK','1'),
('57','CFG_DROP_DOWN_MENU_ON_HOVER','0'),
('58','CFG_DISABLE_CHECK_FOR_UPDATES','0'),
('59','CFG_NOTIFICATIONS_SCHEDULE','0'),
('60','CFG_EMAIL_SMTP_DEBUG','0'),
('61','CFG_SEND_EMAILS_ON_SCHEDULE','0'),
('62','CFG_MAXIMUM_NUMBER_EMAILS','3');

CREATE TABLE IF NOT EXISTS `app_custom_php` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL,
  `is_active` tinyint(1) NOT NULL,
  `is_folder` tinyint(1) NOT NULL,
  `name` varchar(255) NOT NULL,
  `code` longtext NOT NULL,
  `notes` text NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_parent_id` (`parent_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_dashboard_pages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `created_by` int(11) NOT NULL,
  `sections_id` int(11) NOT NULL,
  `type` varchar(16) NOT NULL,
  `is_active` tinyint(1) NOT NULL,
  `name` varchar(255) NOT NULL,
  `icon` varchar(64) NOT NULL,
  `description` text NOT NULL,
  `color` varchar(16) NOT NULL,
  `users_fields` text NOT NULL,
  `users_groups` text NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_created_by` (`created_by`),
  KEY `idx_sections_id` (`sections_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_dashboard_pages_sections` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `grid` tinyint(1) NOT NULL,
  `sort_order` smallint(6) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_emails_on_schedule` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date_added` bigint(20) unsigned NOT NULL,
  `email_to` varchar(255) NOT NULL,
  `email_to_name` varchar(255) NOT NULL,
  `email_subject` varchar(255) NOT NULL,
  `email_body` text NOT NULL,
  `email_from` varchar(255) NOT NULL,
  `email_from_name` varchar(255) NOT NULL,
  `email_attachments` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entities` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL,
  `group_id` int(11) NOT NULL,
  `name` varchar(64) NOT NULL,
  `notes` text NOT NULL,
  `display_in_menu` tinyint(1) DEFAULT 0,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_group_id` (`group_id`)
) ENGINE=InnoDB AUTO_INCREMENT=36 DEFAULT CHARSET=utf8mb4;

INSERT INTO app_entities VALUES
('1','0','0','Пользователи','','0','10'),
('21','0','0','Заказ','','0','1'),
('23','21','0','Запросы','','0','2'),
('24','21','0','Обсуждения','','0','3'),
('25','0','1','Тип пластика (список)','','0','0'),
('26','0','1','Цвет пластика (список)','','0','0'),
('27','0','0','Приход','','0','0'),
('30','0','0','Склад','','0','0'),
('31','27','0','Накладная','','0','0'),
('32','0','1','Поставщик','','0','0'),
('33','0','0','Заказчики','','0','0'),
('34','33','0','Контакт','Контакт используется только при типе Организация','0','0'),
('35','0','0','Стоимость печати (список)','Таблица стоимости печати','0','0');

CREATE TABLE IF NOT EXISTS `app_entities_access` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `access_groups_id` int(11) NOT NULL,
  `access_schema` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`),
  KEY `idx_access_groups_id` (`access_groups_id`)
) ENGINE=InnoDB AUTO_INCREMENT=46 DEFAULT CHARSET=utf8mb4;

INSERT INTO app_entities_access VALUES
('28','21','6','action_with_assigned,update,reports,view'),
('29','21','5','action_with_assigned,update,reports,view'),
('30','21','4','action_with_assigned,create,update,reports,view'),
('34','23','6','view_assigned,create,update,reports'),
('35','23','5',''),
('36','23','4','view_assigned,create,update,delete,reports,view'),
('37','24','6',''),
('38','24','5','view_assigned,create,update,delete,reports'),
('39','24','4','view,create,update,delete,reports'),
('40','33','4','view_assigned,create,update,reports,view'),
('41','34','4','view_assigned,create,update,reports,view'),
('42','27','4','view_assigned,create,update,reports,view'),
('43','31','4','view,create,update,reports'),
('44','30','4','view,reports'),
('45','32','4','view_assigned,create,update,reports,view');

CREATE TABLE IF NOT EXISTS `app_entities_configuration` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `configuration_name` varchar(255) NOT NULL,
  `configuration_value` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`)
) ENGINE=InnoDB AUTO_INCREMENT=286 DEFAULT CHARSET=utf8mb4;

INSERT INTO app_entities_configuration VALUES
('11','1','menu_title','Пользователи'),
('12','1','listing_heading','Пользователи'),
('13','1','window_heading','Информация о пользователе'),
('14','1','insert_button','Добавить пользователя'),
('15','1','use_comments','0'),
('25','21','menu_title','Заказ'),
('26','21','listing_heading',' Проекты'),
('27','21','window_heading','Информация о проекте'),
('28','21','insert_button','Добавить проект'),
('29','21','email_subject_new_item','Новый проект:'),
('30','21','use_comments','1'),
('31','21','email_subject_new_comment','Новый комментарий к проекту:'),
('39','23','menu_title','Запросы'),
('40','23','listing_heading','Запросы'),
('41','23','window_heading','Информация о запросе'),
('42','23','insert_button','Добавить запрос'),
('43','23','email_subject_new_item','Новый запрос:'),
('44','23','use_comments','1'),
('45','23','email_subject_new_comment','Новый комментарий к запросу'),
('46','24','menu_title','Обсуждения'),
('47','24','listing_heading','Обсуждения'),
('48','24','window_heading','Информация об обсуждении'),
('49','24','insert_button','Добавить обсуждение'),
('50','24','email_subject_new_item','Новое обсуждение:'),
('51','24','use_comments','1'),
('52','24','email_subject_new_comment','Новый комментарий к обсуждению:'),
('53','21','use_editor_in_comments','0'),
('55','23','use_editor_in_comments','0'),
('56','24','use_editor_in_comments','0'),
('57','27','item_page_columns_size','8-4'),
('58','27','item_page_details_columns','2'),
('59','27','item_page_comments_position','left_column'),
('60','27','enable_favorites','0'),
('61','27','javascript_in_item_page',''),
('62','27','php_in_item_page',''),
('63','27','php_in_item_page_debug_mode','0'),
('64','27','item_page_subentity28_position','left_column'),
('65','27','hide_subentity28_if_empty','0'),
('66','27','item_page_subentity28_heading',''),
('67','27','hide_subentity28_in_top_menu','0'),
('68','27','collapsed_subentity28','0'),
('69','27','item_page_hidden_fields',''),
('70','27','hidden_form_fields','239'),
('71','21','menu_icon','la-file-invoice-dollar'),
('72','21','menu_icon_color',''),
('73','21','menu_bg_color',''),
('74','21','window_width',''),
('75','21','reports_hide_insert_button','1'),
('76','21','email_subject_updated_item',''),
('77','21','disable_notification','0'),
('78','21','disable_internal_notification','0'),
('79','21','disable_highlight_unread','0'),
('80','21','display_comments_id','1'),
('81','21','display_last_comment_in_listing','1'),
('82','21','disable_attachments_in_comments','1'),
('83','21','disable_avatar_in_comments','0'),
('84','21','image_preview_in_comments','0'),
('85','21','send_notification_to_assigned','0'),
('86','21','redirect_after_adding','subentity'),
('87','21','redirect_after_click_heading','subentity'),
('88','27','item_page_subentity31_position','left_column'),
('89','27','hide_subentity31_if_empty','0'),
('90','27','item_page_subentity31_heading',''),
('91','27','hide_subentity31_in_top_menu','0'),
('92','27','collapsed_subentity31','0'),
('93','33','menu_title',''),
('94','33','menu_icon','fa-address-card'),
('95','33','menu_icon_color',''),
('96','33','menu_bg_color',''),
('97','33','listing_heading',''),
('98','33','window_heading',''),
('99','33','window_width',''),
('100','33','insert_button',''),
('101','33','reports_hide_insert_button','1'),
('102','33','email_subject_new_item',''),
('103','33','email_subject_updated_item',''),
('104','33','disable_notification','0'),
('105','33','disable_internal_notification','0'),
('106','33','disable_highlight_unread','0'),
('107','33','use_comments','0'),
('108','33','display_comments_id','1'),
('109','33','display_last_comment_in_listing','1'),
('110','33','use_editor_in_comments','1'),
('111','33','disable_attachments_in_comments','1'),
('112','33','disable_avatar_in_comments','0'),
('113','33','image_preview_in_comments','0'),
('114','33','email_subject_new_comment',''),
('115','33','send_notification_to_assigned','0'),
('116','33','redirect_after_adding','subentity'),
('117','33','redirect_after_click_heading','subentity'),
('118','32','menu_title',''),
('119','32','menu_icon','fa-address-book-o'),
('120','32','menu_icon_color',''),
('121','32','menu_bg_color',''),
('122','32','listing_heading',''),
('123','32','window_heading',''),
('124','32','window_width',''),
('125','32','insert_button',''),
('126','32','reports_hide_insert_button','1'),
('127','32','email_subject_new_item','');

INSERT INTO app_entities_configuration VALUES
('128','32','email_subject_updated_item',''),
('129','32','disable_notification','0'),
('130','32','disable_internal_notification','0'),
('131','32','disable_highlight_unread','0'),
('132','32','use_comments','0'),
('133','32','display_comments_id','1'),
('134','32','display_last_comment_in_listing','1'),
('135','32','use_editor_in_comments','1'),
('136','32','disable_attachments_in_comments','1'),
('137','32','disable_avatar_in_comments','0'),
('138','32','image_preview_in_comments','0'),
('139','32','email_subject_new_comment',''),
('140','32','send_notification_to_assigned','0'),
('141','32','redirect_after_adding','subentity'),
('142','32','redirect_after_click_heading','subentity'),
('143','27','menu_title',''),
('144','27','menu_icon','fa-file-text'),
('145','27','menu_icon_color',''),
('146','27','menu_bg_color',''),
('147','27','listing_heading',''),
('148','27','window_heading',''),
('149','27','window_width',''),
('150','27','insert_button',''),
('151','27','reports_hide_insert_button','1'),
('152','27','email_subject_new_item',''),
('153','27','email_subject_updated_item',''),
('154','27','disable_notification','0'),
('155','27','disable_internal_notification','0'),
('156','27','disable_highlight_unread','0'),
('157','27','use_comments','0'),
('158','27','display_comments_id','1'),
('159','27','display_last_comment_in_listing','1'),
('160','27','use_editor_in_comments','1'),
('161','27','disable_attachments_in_comments','1'),
('162','27','disable_avatar_in_comments','0'),
('163','27','image_preview_in_comments','0'),
('164','27','email_subject_new_comment',''),
('165','27','send_notification_to_assigned','0'),
('166','27','redirect_after_adding','subentity'),
('167','27','redirect_after_click_heading','subentity'),
('168','30','menu_title',''),
('169','30','menu_icon','la-warehouse'),
('170','30','menu_icon_color',''),
('171','30','menu_bg_color',''),
('172','30','listing_heading',''),
('173','30','window_heading',''),
('174','30','window_width',''),
('175','30','insert_button',''),
('176','30','reports_hide_insert_button','1'),
('177','30','email_subject_new_item',''),
('178','30','email_subject_updated_item',''),
('179','30','disable_notification','0'),
('180','30','disable_internal_notification','0'),
('181','30','disable_highlight_unread','0'),
('182','30','use_comments','0'),
('183','30','display_comments_id','1'),
('184','30','display_last_comment_in_listing','1'),
('185','30','use_editor_in_comments','1'),
('186','30','disable_attachments_in_comments','1'),
('187','30','disable_avatar_in_comments','0'),
('188','30','image_preview_in_comments','0'),
('189','30','email_subject_new_comment',''),
('190','30','send_notification_to_assigned','0'),
('191','30','redirect_after_adding','subentity'),
('192','30','redirect_after_click_heading','subentity'),
('193','35','menu_title',''),
('194','35','menu_icon','fa-money'),
('195','35','menu_icon_color',''),
('196','35','menu_bg_color',''),
('197','35','listing_heading',''),
('198','35','window_heading',''),
('199','35','window_width',''),
('200','35','insert_button',''),
('201','35','reports_hide_insert_button','1'),
('202','35','email_subject_new_item',''),
('203','35','email_subject_updated_item',''),
('204','35','disable_notification','0'),
('205','35','disable_internal_notification','0'),
('206','35','disable_highlight_unread','0'),
('207','35','use_comments','0'),
('208','35','display_comments_id','1'),
('209','35','display_last_comment_in_listing','1'),
('210','35','use_editor_in_comments','1'),
('211','35','disable_attachments_in_comments','1'),
('212','35','disable_avatar_in_comments','0'),
('213','35','image_preview_in_comments','0'),
('214','35','email_subject_new_comment',''),
('215','35','send_notification_to_assigned','0'),
('216','35','redirect_after_adding','subentity'),
('217','35','redirect_after_click_heading','subentity'),
('218','26','menu_title',''),
('219','26','menu_icon','la-rainbow'),
('220','26','menu_icon_color',''),
('221','26','menu_bg_color',''),
('222','26','listing_heading',''),
('223','26','window_heading',''),
('224','26','window_width',''),
('225','26','insert_button',''),
('226','26','reports_hide_insert_button','1'),
('227','26','email_subject_new_item','');

INSERT INTO app_entities_configuration VALUES
('228','26','email_subject_updated_item',''),
('229','26','disable_notification','0'),
('230','26','disable_internal_notification','0'),
('231','26','disable_highlight_unread','0'),
('232','26','use_comments','0'),
('233','26','display_comments_id','1'),
('234','26','display_last_comment_in_listing','1'),
('235','26','use_editor_in_comments','1'),
('236','26','disable_attachments_in_comments','1'),
('237','26','disable_avatar_in_comments','0'),
('238','26','image_preview_in_comments','0'),
('239','26','email_subject_new_comment',''),
('240','26','send_notification_to_assigned','0'),
('241','26','redirect_after_adding','subentity'),
('242','26','redirect_after_click_heading','subentity'),
('243','25','menu_title',''),
('244','25','menu_icon','la-boxes'),
('245','25','menu_icon_color',''),
('246','25','menu_bg_color',''),
('247','25','listing_heading',''),
('248','25','window_heading',''),
('249','25','window_width',''),
('250','25','insert_button',''),
('251','25','reports_hide_insert_button','1'),
('252','25','email_subject_new_item',''),
('253','25','email_subject_updated_item',''),
('254','25','disable_notification','0'),
('255','25','disable_internal_notification','0'),
('256','25','disable_highlight_unread','0'),
('257','25','use_comments','0'),
('258','25','display_comments_id','1'),
('259','25','display_last_comment_in_listing','1'),
('260','25','use_editor_in_comments','1'),
('261','25','disable_attachments_in_comments','1'),
('262','25','disable_avatar_in_comments','0'),
('263','25','image_preview_in_comments','0'),
('264','25','email_subject_new_comment',''),
('265','25','send_notification_to_assigned','0'),
('266','25','redirect_after_adding','subentity'),
('267','25','redirect_after_click_heading','subentity'),
('268','21','item_page_columns_size','8-4'),
('269','21','item_page_details_columns','1'),
('270','21','item_page_comments_position','left_column'),
('271','21','enable_favorites','0'),
('272','21','javascript_in_item_page',''),
('273','21','php_in_item_page',''),
('274','21','php_in_item_page_debug_mode','0'),
('275','21','item_page_subentity23_position',''),
('276','21','hide_subentity23_if_empty','0'),
('277','21','item_page_subentity23_heading',''),
('278','21','hide_subentity23_in_top_menu','0'),
('279','21','collapsed_subentity23','0'),
('280','21','item_page_subentity24_position',''),
('281','21','hide_subentity24_if_empty','0'),
('282','21','item_page_subentity24_heading',''),
('283','21','hide_subentity24_in_top_menu','0'),
('284','21','collapsed_subentity24','0'),
('285','21','item_page_hidden_fields','');

CREATE TABLE IF NOT EXISTS `app_entities_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) NOT NULL,
  `sort_order` smallint(6) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4;

INSERT INTO app_entities_groups VALUES
('1','Описания пластика','0');

CREATE TABLE IF NOT EXISTS `app_entities_menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL,
  `name` varchar(64) NOT NULL,
  `icon` varchar(64) NOT NULL,
  `icon_color` varchar(7) NOT NULL,
  `bg_color` varchar(7) NOT NULL,
  `entities_list` text NOT NULL,
  `reports_list` text NOT NULL,
  `pages_list` text NOT NULL,
  `type` varchar(16) DEFAULT 'entity',
  `url` varchar(255) NOT NULL,
  `users_groups` text NOT NULL,
  `assigned_to` text NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_parent_id` (`parent_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_1` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `client_id` bigint(20) unsigned NOT NULL,
  `parent_id` int(11) NOT NULL DEFAULT 0,
  `parent_item_id` int(11) NOT NULL DEFAULT 0,
  `linked_id` int(11) NOT NULL DEFAULT 0,
  `date_added` bigint(20) NOT NULL DEFAULT 0,
  `date_updated` bigint(20) NOT NULL DEFAULT 0,
  `created_by` int(11) DEFAULT NULL,
  `sort_order` int(11) NOT NULL DEFAULT 0,
  `password` varchar(255) NOT NULL,
  `multiple_access_groups` varchar(64) NOT NULL,
  `is_email_verified` tinyint(1) NOT NULL DEFAULT 1,
  `field_5` tinyint(1) NOT NULL,
  `field_6` int(11) NOT NULL,
  `field_7` varchar(255) NOT NULL,
  `field_8` varchar(255) NOT NULL,
  `field_9` varchar(255) NOT NULL,
  `field_10` varchar(255) NOT NULL,
  `field_12` varchar(255) NOT NULL,
  `field_13` varchar(64) NOT NULL,
  `field_14` varchar(64) NOT NULL,
  `field_201` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_parent_id` (`parent_id`),
  KEY `idx_parent_item_id` (`parent_item_id`),
  KEY `idx_client_id` (`client_id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4;

INSERT INTO app_entity_1 VALUES
('1','5736831','0','0','0','1647685675','0',NULL,'0','$P$Exprx2F7RkggtByJvqbbtyMDf9cw0o0','','1','1','0','admin','admin','alexinc@alexinc.org','','admin','russian.php','blue','1647858437');

CREATE TABLE IF NOT EXISTS `app_entity_1_values` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `items_id` int(11) NOT NULL,
  `fields_id` int(11) NOT NULL,
  `value` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_items_fields_id` (`items_id`,`fields_id`),
  KEY `idx_value_id` (`value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_21` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) DEFAULT 0,
  `parent_item_id` int(11) DEFAULT 0,
  `linked_id` int(11) DEFAULT 0,
  `date_added` bigint(20) NOT NULL DEFAULT 0,
  `date_updated` bigint(20) NOT NULL DEFAULT 0,
  `created_by` int(11) DEFAULT NULL,
  `sort_order` int(11) DEFAULT 0,
  `field_156` text NOT NULL,
  `field_157` text NOT NULL,
  `field_158` text NOT NULL,
  `field_159` bigint(20) NOT NULL DEFAULT 0,
  `field_160` text NOT NULL,
  `field_161` text NOT NULL,
  `field_162` text NOT NULL,
  `field_241` varchar(64) NOT NULL,
  `field_242` text NOT NULL,
  `field_284` text NOT NULL,
  `field_315` varchar(64) NOT NULL,
  `field_316` text NOT NULL,
  `field_317` text NOT NULL,
  `field_318` varchar(64) NOT NULL,
  `field_319` varchar(64) NOT NULL,
  `field_320` varchar(1) NOT NULL,
  `field_321` varchar(64) NOT NULL,
  `field_326` bigint(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_parent_id` (`parent_id`),
  KEY `idx_parent_item_id` (`parent_item_id`),
  KEY `idx_field_242` (`field_242`(128)),
  KEY `idx_field_284` (`field_284`(128))
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_21_values` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `items_id` int(11) NOT NULL,
  `fields_id` int(11) NOT NULL,
  `value` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_items_fields_id` (`items_id`,`fields_id`),
  KEY `idx_value_id` (`value`)
) ENGINE=InnoDB AUTO_INCREMENT=84 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_23` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) DEFAULT 0,
  `parent_item_id` int(11) DEFAULT 0,
  `linked_id` int(11) DEFAULT 0,
  `date_added` bigint(20) NOT NULL DEFAULT 0,
  `date_updated` bigint(20) NOT NULL DEFAULT 0,
  `created_by` int(11) DEFAULT NULL,
  `sort_order` int(11) DEFAULT 0,
  `field_182` text NOT NULL,
  `field_183` text NOT NULL,
  `field_184` text NOT NULL,
  `field_185` text NOT NULL,
  `field_186` text NOT NULL,
  `field_194` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_parent_id` (`parent_id`),
  KEY `idx_parent_item_id` (`parent_item_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_23_values` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `items_id` int(11) NOT NULL,
  `fields_id` int(11) NOT NULL,
  `value` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_items_fields_id` (`items_id`,`fields_id`),
  KEY `idx_value_id` (`value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_24` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) DEFAULT 0,
  `parent_item_id` int(11) DEFAULT 0,
  `linked_id` int(11) DEFAULT 0,
  `date_added` bigint(20) NOT NULL DEFAULT 0,
  `date_updated` bigint(20) NOT NULL DEFAULT 0,
  `created_by` int(11) DEFAULT NULL,
  `sort_order` int(11) DEFAULT 0,
  `field_191` text NOT NULL,
  `field_192` text NOT NULL,
  `field_193` text NOT NULL,
  `field_195` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_parent_id` (`parent_id`),
  KEY `idx_parent_item_id` (`parent_item_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_24_values` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `items_id` int(11) NOT NULL,
  `fields_id` int(11) NOT NULL,
  `value` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_items_fields_id` (`items_id`,`fields_id`),
  KEY `idx_value_id` (`value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_25` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) unsigned DEFAULT 0,
  `parent_item_id` int(11) unsigned DEFAULT 0,
  `linked_id` int(11) unsigned DEFAULT 0,
  `date_added` bigint(11) DEFAULT 0,
  `date_updated` bigint(11) DEFAULT 0,
  `created_by` int(11) unsigned DEFAULT NULL,
  `sort_order` int(11) DEFAULT 0,
  `field_213` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_parent_id` (`parent_id`),
  KEY `idx_parent_item_id` (`parent_item_id`),
  KEY `idx_created_by` (`created_by`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_25_values` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `items_id` int(11) unsigned NOT NULL,
  `fields_id` int(11) unsigned NOT NULL,
  `value` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_items_fields_id` (`items_id`,`fields_id`),
  KEY `idx_value_id` (`value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_26` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) unsigned DEFAULT 0,
  `parent_item_id` int(11) unsigned DEFAULT 0,
  `linked_id` int(11) unsigned DEFAULT 0,
  `date_added` bigint(11) DEFAULT 0,
  `date_updated` bigint(11) DEFAULT 0,
  `created_by` int(11) unsigned DEFAULT NULL,
  `sort_order` int(11) DEFAULT 0,
  `field_220` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_parent_id` (`parent_id`),
  KEY `idx_parent_item_id` (`parent_item_id`),
  KEY `idx_created_by` (`created_by`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_26_values` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `items_id` int(11) unsigned NOT NULL,
  `fields_id` int(11) unsigned NOT NULL,
  `value` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_items_fields_id` (`items_id`,`fields_id`),
  KEY `idx_value_id` (`value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_27` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) unsigned DEFAULT 0,
  `parent_item_id` int(11) unsigned DEFAULT 0,
  `linked_id` int(11) unsigned DEFAULT 0,
  `date_added` bigint(11) DEFAULT 0,
  `date_updated` bigint(11) DEFAULT 0,
  `created_by` int(11) unsigned DEFAULT NULL,
  `sort_order` int(11) DEFAULT 0,
  `field_236` varchar(64) NOT NULL,
  `field_239` varchar(1) NOT NULL,
  `field_283` text NOT NULL,
  `field_323` varchar(64) NOT NULL,
  `field_329` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_parent_id` (`parent_id`),
  KEY `idx_parent_item_id` (`parent_item_id`),
  KEY `idx_created_by` (`created_by`),
  KEY `idx_field_283` (`field_283`(128)),
  KEY `idx_field_329` (`field_329`(128))
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_27_values` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `items_id` int(11) unsigned NOT NULL,
  `fields_id` int(11) unsigned NOT NULL,
  `value` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_items_fields_id` (`items_id`,`fields_id`),
  KEY `idx_value_id` (`value`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_30` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) unsigned DEFAULT 0,
  `parent_item_id` int(11) unsigned DEFAULT 0,
  `linked_id` int(11) unsigned DEFAULT 0,
  `date_added` bigint(11) DEFAULT 0,
  `date_updated` bigint(11) DEFAULT 0,
  `created_by` int(11) unsigned DEFAULT NULL,
  `sort_order` int(11) DEFAULT 0,
  `field_260` text NOT NULL,
  `field_261` text NOT NULL,
  `field_262` varchar(1) NOT NULL,
  `field_272` varchar(64) NOT NULL,
  `field_273` varchar(64) NOT NULL,
  `field_274` varchar(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_parent_id` (`parent_id`),
  KEY `idx_parent_item_id` (`parent_item_id`),
  KEY `idx_created_by` (`created_by`),
  KEY `idx_field_260` (`field_260`(128)),
  KEY `idx_field_261` (`field_261`(128))
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_30_values` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `items_id` int(11) unsigned NOT NULL,
  `fields_id` int(11) unsigned NOT NULL,
  `value` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_items_fields_id` (`items_id`,`fields_id`),
  KEY `idx_value_id` (`value`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_31` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) unsigned DEFAULT 0,
  `parent_item_id` int(11) unsigned DEFAULT 0,
  `linked_id` int(11) unsigned DEFAULT 0,
  `date_added` bigint(11) DEFAULT 0,
  `date_updated` bigint(11) DEFAULT 0,
  `created_by` int(11) unsigned DEFAULT NULL,
  `sort_order` int(11) DEFAULT 0,
  `field_270` text NOT NULL,
  `field_271` varchar(64) NOT NULL,
  `field_322` varchar(64) NOT NULL,
  `field_324` varchar(64) NOT NULL,
  `field_325` varchar(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_parent_id` (`parent_id`),
  KEY `idx_parent_item_id` (`parent_item_id`),
  KEY `idx_created_by` (`created_by`),
  KEY `idx_field_270` (`field_270`(128))
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_31_values` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `items_id` int(11) unsigned NOT NULL,
  `fields_id` int(11) unsigned NOT NULL,
  `value` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_items_fields_id` (`items_id`,`fields_id`),
  KEY `idx_value_id` (`value`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_32` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) unsigned DEFAULT 0,
  `parent_item_id` int(11) unsigned DEFAULT 0,
  `linked_id` int(11) unsigned DEFAULT 0,
  `date_added` bigint(11) DEFAULT 0,
  `date_updated` bigint(11) DEFAULT 0,
  `created_by` int(11) unsigned DEFAULT NULL,
  `sort_order` int(11) DEFAULT 0,
  `field_282` varchar(255) NOT NULL,
  `field_328` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_parent_id` (`parent_id`),
  KEY `idx_parent_item_id` (`parent_item_id`),
  KEY `idx_created_by` (`created_by`),
  KEY `idx_field_328` (`field_328`(128))
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_32_values` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `items_id` int(11) unsigned NOT NULL,
  `fields_id` int(11) unsigned NOT NULL,
  `value` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_items_fields_id` (`items_id`,`fields_id`),
  KEY `idx_value_id` (`value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_33` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) unsigned DEFAULT 0,
  `parent_item_id` int(11) unsigned DEFAULT 0,
  `linked_id` int(11) unsigned DEFAULT 0,
  `date_added` bigint(11) DEFAULT 0,
  `date_updated` bigint(11) DEFAULT 0,
  `created_by` int(11) unsigned DEFAULT NULL,
  `sort_order` int(11) DEFAULT 0,
  `field_291` int(11) NOT NULL,
  `field_292` varchar(255) NOT NULL,
  `field_293` varchar(64) NOT NULL,
  `field_294` varchar(255) NOT NULL,
  `field_301` varchar(1) NOT NULL,
  `field_327` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_parent_id` (`parent_id`),
  KEY `idx_parent_item_id` (`parent_item_id`),
  KEY `idx_created_by` (`created_by`),
  KEY `idx_field_291` (`field_291`),
  KEY `idx_field_327` (`field_327`(128))
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_33_values` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `items_id` int(11) unsigned NOT NULL,
  `fields_id` int(11) unsigned NOT NULL,
  `value` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_items_fields_id` (`items_id`,`fields_id`),
  KEY `idx_value_id` (`value`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_34` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) unsigned DEFAULT 0,
  `parent_item_id` int(11) unsigned DEFAULT 0,
  `linked_id` int(11) unsigned DEFAULT 0,
  `date_added` bigint(11) DEFAULT 0,
  `date_updated` bigint(11) DEFAULT 0,
  `created_by` int(11) unsigned DEFAULT NULL,
  `sort_order` int(11) DEFAULT 0,
  `field_302` varchar(255) NOT NULL,
  `field_303` varchar(64) NOT NULL,
  `field_304` varchar(255) NOT NULL,
  `field_305` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_parent_id` (`parent_id`),
  KEY `idx_parent_item_id` (`parent_item_id`),
  KEY `idx_created_by` (`created_by`),
  KEY `idx_field_305` (`field_305`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_34_values` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `items_id` int(11) unsigned NOT NULL,
  `fields_id` int(11) unsigned NOT NULL,
  `value` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_items_fields_id` (`items_id`,`fields_id`),
  KEY `idx_value_id` (`value`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_35` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) unsigned DEFAULT 0,
  `parent_item_id` int(11) unsigned DEFAULT 0,
  `linked_id` int(11) unsigned DEFAULT 0,
  `date_added` bigint(11) DEFAULT 0,
  `date_updated` bigint(11) DEFAULT 0,
  `created_by` int(11) unsigned DEFAULT NULL,
  `sort_order` int(11) DEFAULT 0,
  `field_312` varchar(64) NOT NULL,
  `field_313` varchar(64) NOT NULL,
  `field_314` varchar(64) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_parent_id` (`parent_id`),
  KEY `idx_parent_item_id` (`parent_item_id`),
  KEY `idx_created_by` (`created_by`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_entity_35_values` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `items_id` int(11) unsigned NOT NULL,
  `fields_id` int(11) unsigned NOT NULL,
  `value` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_items_fields_id` (`items_id`,`fields_id`),
  KEY `idx_value_id` (`value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_favorites` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `users_id` int(11) NOT NULL,
  `entities_id` int(11) NOT NULL,
  `items_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_users_id` (`users_id`),
  KEY `idx_entities_id` (`entities_id`),
  KEY `idx_items_Id` (`items_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_fields` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `forms_tabs_id` int(11) NOT NULL,
  `comments_forms_tabs_id` int(11) NOT NULL DEFAULT 0,
  `forms_rows_position` varchar(255) NOT NULL,
  `type` varchar(64) NOT NULL,
  `name` varchar(255) NOT NULL,
  `short_name` varchar(64) NOT NULL,
  `is_heading` tinyint(1) DEFAULT 0,
  `tooltip` text NOT NULL,
  `tooltip_display_as` varchar(16) NOT NULL,
  `tooltip_in_item_page` tinyint(1) NOT NULL DEFAULT 0,
  `tooltip_item_page` text NOT NULL,
  `notes` text NOT NULL,
  `is_required` tinyint(1) DEFAULT 0,
  `required_message` text NOT NULL,
  `configuration` text NOT NULL,
  `sort_order` int(11) DEFAULT 0,
  `listing_status` tinyint(4) NOT NULL DEFAULT 0,
  `listing_sort_order` int(11) NOT NULL DEFAULT 0,
  `comments_status` tinyint(1) NOT NULL DEFAULT 0,
  `comments_sort_order` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`),
  KEY `idx_form_tabs_id` (`forms_tabs_id`),
  KEY `idx_comments_forms_tabs_id` (`comments_forms_tabs_id`),
  KEY `idx_type` (`type`)
) ENGINE=InnoDB AUTO_INCREMENT=330 DEFAULT CHARSET=utf8mb4;

INSERT INTO app_fields VALUES
('1','1','1','0','','fieldtype_action','','',NULL,'','','0','','',NULL,'','',NULL,'1','0','0','0'),
('2','1','1','0','','fieldtype_id','','',NULL,'','','0','','',NULL,'','',NULL,'1','1','0','0'),
('3','1','1','0','','fieldtype_date_added','','',NULL,'','','0','','',NULL,'','',NULL,'0','0','0','0'),
('4','1','1','0','','fieldtype_created_by','','',NULL,'','','0','','',NULL,'','',NULL,'0','0','0','0'),
('5','1','1','0','','fieldtype_user_status','','',NULL,'','','0','','',NULL,'','','0','1','7','0','0'),
('6','1','1','0','','fieldtype_user_accessgroups','','',NULL,'','','0','','',NULL,'','','1','1','2','0','0'),
('7','1','1','0','','fieldtype_user_firstname','','',NULL,'','','0','','',NULL,'','{\"allow_search\":\"1\"}','3','1','4','0','0'),
('8','1','1','0','','fieldtype_user_lastname','','',NULL,'','','0','','',NULL,'','{\"allow_search\":\"1\"}','4','1','5','0','0'),
('9','1','1','0','','fieldtype_user_email','','',NULL,'','','0','','',NULL,'','{\"allow_search\":\"1\"}','6','1','6','0','0'),
('10','1','1','0','','fieldtype_user_photo','','',NULL,'','','0','','',NULL,'','','5','0','0','0','0'),
('12','1','1','0','','fieldtype_user_username','','','1','','','0','','',NULL,'','{\"allow_search\":\"1\"}','2','1','3','0','0'),
('13','1','1','0','','fieldtype_user_language','','','0','','','0','','','0','','','7','0','0','0','0'),
('14','1','1','0','','fieldtype_user_skin','','','0','','','0','','','0','','','0','0','0','0','0'),
('152','21','24','0','','fieldtype_action','','','0','','','0','','','0','','','0','1','0','0','0'),
('153','21','24','0','','fieldtype_id','','','0','','','0','','','0','','','0','1','1','0','0'),
('154','21','24','0','','fieldtype_date_added','','','0','','','0','','','0','','','0','0','0','0','0'),
('155','21','24','0','','fieldtype_created_by','','','0','','','0','','','0','','','0','0','0','0','0'),
('156','21','24','0','','fieldtype_dropdown','Приоритет','','0','','','0','','','1','','{\"width\":\"input-medium\"}','1','1','4','1','0'),
('157','21','24','0','','fieldtype_dropdown','Статус','','0','','','0','','','1','','{\"width\":\"input-medium\"}','2','1','8','1','1'),
('158','21','24','0','','fieldtype_input','Название','','1','','','0','','','1','','{\"allow_search\":\"1\",\"width\":\"input-xlarge\"}','3','1','5','0','0'),
('159','21','24','0','','fieldtype_input_date','Дата начала','','0','','','0','','','0','','{\"date_format\":\"\",\"default_value\":\"0\",\"min_date\":\"\",\"max_date\":\"\",\"is_unique\":\"0\",\"unique_error_msg\":\"\",\"background\":\"\",\"day_before_date\":\"\",\"day_before_date_color\":\"\",\"day_before_date2\":\"\",\"day_before_date2_color\":\"\",\"disable_color_by_field\":\"\"}','5','1','9','0','0'),
('160','21','24','0','','fieldtype_textarea_wysiwyg','Описание','','0','','','0','','','0','','{\"allow_search\":\"1\"}','7','0','0','0','0'),
('161','21','25','0','','fieldtype_users','Команда','','0','','','0','','','0','','{\"display_as\":\"checkboxes\",\"hide_admin\":\"1\",\"authorized_user_by_default\":\"1\"}','0','1','11','0','0'),
('162','21','24','0','','fieldtype_attachments','Вложения','','0','','','0','','','0','','','10','0','0','0','0'),
('178','23','28','0','','fieldtype_action','','','0','','','0','','','0','','','0','1','0','0','0'),
('179','23','28','0','','fieldtype_id','','','0','','','0','','','0','','','0','1','1','0','0'),
('180','23','28','0','','fieldtype_date_added','','','0','','','0','','','0','','','0','1','6','0','0'),
('181','23','28','0','','fieldtype_created_by','','','0','','','0','','','0','','','0','1','7','0','0'),
('182','23','28','0','','fieldtype_grouped_users','Отдел','','0','','','0','','','1','','','0','1','4','1','0'),
('183','23','28','0','','fieldtype_dropdown','Тип','','0','','','0','','','1','','{\"width\":\"input-large\"}','2','1','2','1','1'),
('184','23','28','0','','fieldtype_input','Тема','','1','','','0','','','1','','{\"allow_search\":\"1\",\"width\":\"input-xlarge\"}','3','1','3','0','0'),
('185','23','28','0','','fieldtype_textarea_wysiwyg','Описание','','0','','','0','','','0','','{\"allow_search\":\"1\"}','4','0','0','0','0'),
('186','23','28','0','','fieldtype_dropdown','Статус','','0','','','0','','','1','','{\"width\":\"input-large\"}','1','1','5','1','2'),
('187','24','29','0','','fieldtype_action','','','0','','','0','','','0','','','0','1','0','0','0'),
('188','24','29','0','','fieldtype_id','','','0','','','0','','','0','','','0','1','1','0','0'),
('189','24','29','0','','fieldtype_date_added','','','0','','','0','','','0','','','0','1','4','0','0'),
('190','24','29','0','','fieldtype_created_by','','','0','','','0','','','0','','','0','1','5','0','0'),
('191','24','29','0','','fieldtype_input','Название','','1','','','0','','','1','','{\"allow_search\":\"1\",\"width\":\"input-xlarge\"}','1','1','3','0','0'),
('192','24','29','0','','fieldtype_textarea_wysiwyg','Описание','','0','','','0','','','0','','{\"allow_search\":\"1\"}','2','0','0','0','0'),
('193','24','29','0','','fieldtype_dropdown','Статус','','0','','','0','','','0','','{\"width\":\"input-medium\"}','0','1','2','1','0'),
('194','23','28','0','','fieldtype_attachments','Вложения','','0','','','0','','','0','','','5','0','0','0','0'),
('195','24','29','0','','fieldtype_attachments','Вложения','','0','','','0','','','0','','','3','0','0','0','0'),
('196','1','1','0','','fieldtype_parent_item_id','','',NULL,'','','0','','',NULL,'','',NULL,'1','100','0','0'),
('197','21','24','0','','fieldtype_parent_item_id','','',NULL,'','','0','','',NULL,'','',NULL,'1','100','0','0'),
('199','23','28','0','','fieldtype_parent_item_id','','',NULL,'','','0','','',NULL,'','',NULL,'1','100','0','0'),
('200','24','29','0','','fieldtype_parent_item_id','','',NULL,'','','0','','',NULL,'','',NULL,'1','100','0','0'),
('201','1','1','0','','fieldtype_user_last_login_date','','','0','','','0','','','0','','','0','0','0','0','0'),
('202','1','1','0','','fieldtype_date_updated','','','0','','','0','','','0','','','3','0','0','0','0'),
('203','21','24','0','','fieldtype_date_updated','','','0','','','0','','','0','','','3','0','0','0','0'),
('205','23','28','0','','fieldtype_date_updated','','','0','','','0','','','0','','','3','0','0','0','0'),
('206','24','29','0','','fieldtype_date_updated','','','0','','','0','','','0','','','3','0','0','0','0'),
('207','25','30','0','','fieldtype_action','','','0','','','0','','','0','','','0','1','0','0','0'),
('208','25','30','0','','fieldtype_id','','','0','','','0','','','0','','','1','1','1','0','0'),
('209','25','30','0','','fieldtype_date_added','','','0','','','0','','','0','','','2','1','3','0','0'),
('210','25','30','0','','fieldtype_date_updated','','','0','','','0','','','0','','','3','1','4','0','0'),
('211','25','30','0','','fieldtype_created_by','','','0','','','0','','','0','','','4','1','5','0','0'),
('212','25','30','0','','fieldtype_parent_item_id','','','0','','','0','','','0','','','5','1','5','0','0'),
('213','25','30','0','','fieldtype_input','Наиманование','','1','','','0','','','0','','{\"width\":\"input-small\",\"default_value\":\"\",\"is_unique\":\"0\",\"unique_error_msg\":\"\"}','6','1','2','0','0'),
('214','26','31','0','','fieldtype_action','','','0','','','0','','','0','','','0','1','0','0','0'),
('215','26','31','0','','fieldtype_id','','','0','','','0','','','0','','','1','1','1','0','0'),
('216','26','31','0','','fieldtype_date_added','','','0','','','0','','','0','','','2','1','3','0','0'),
('217','26','31','0','','fieldtype_date_updated','','','0','','','0','','','0','','','3','1','4','0','0'),
('218','26','31','0','','fieldtype_created_by','','','0','','','0','','','0','','','4','1','5','0','0'),
('219','26','31','0','','fieldtype_parent_item_id','','','0','','','0','','','0','','','5','1','5','0','0'),
('220','26','31','0','','fieldtype_input','Цвет','','1','','','0','','','0','','{\"width\":\"input-small\",\"default_value\":\"\",\"is_unique\":\"0\",\"unique_error_msg\":\"\"}','6','1','2','0','0'),
('221','27','32','0','','fieldtype_action','','','0','','','0','','','0','','','0','1','0','0','0'),
('222','27','32','0','','fieldtype_id','','','0','','','0','','','0','','','1','1','1','0','0'),
('223','27','32','0','','fieldtype_date_added','','','0','','','0','','','0','','','2','1','5','0','0'),
('224','27','32','0','','fieldtype_date_updated','','','0','','','0','','','0','','','3','1','6','0','0'),
('225','27','32','0','','fieldtype_created_by','','','0','','','0','','','0','','','4','1','7','0','0'),
('226','27','32','0','','fieldtype_parent_item_id','','','0','','','0','','','0','','','5','1','5','0','0'),
('236','27','32','0','','fieldtype_auto_increment','Номер','','1','','','0','','','0','','{\"allow_search\":\"1\",\"width\":\"input-small\",\"is_unique\":\"0\",\"unique_error_msg\":\"\",\"view_only\":\"1\",\"default_value\":\"\",\"step\":\"\",\"prefix\":\"HBL-\",\"suffix\":\"\"}','0','1','2','0','0'),
('239','27','32','0','','fieldtype_subentity_form','Накладная','','0','','','0','','','0','','{\"entity_id\":\"31\",\"max_count_records\":\"\",\"fields_display\":\"row\",\"fields_in_form\":[\"270\",\"271\",\"324\",\"322\"],\"listing_type\":\"table\",\"column_width\":\"40,20,20,20\",\"auto_insert\":\"\",\"button_title\":\"Добавить\",\"button_position\":\"right\",\"button_icon\":\"\",\"button_color\":\"\"}','2','0','0','0','0'),
('241','21','41','0','','fieldtype_input_numeric','Вес','','0','','','0','','','0','','{\"width\":\"input-small\",\"number_format\":\"2\\/.\\/*\",\"is_unique\":\"0\",\"unique_error_msg\":\"\",\"default_value\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"min_value\":\"\",\"max_value\":\"\"}','1','1','6','0','0'),
('242','21','24','0','','fieldtype_entity','Пластик','','0','','','0','','','0','','{\"entity_id\":\"30\",\"display_as\":\"dropdown\",\"default_text\":\"\",\"width\":\"input-medium\",\"fields_in_popup\":\"\"}','8','1','7','0','0'),
('254','30','35','0','','fieldtype_action','','','0','','','0','','','0','','','0','1','0','0','0'),
('255','30','35','0','','fieldtype_id','','','0','','','0','','','0','','','1','1','1','0','0'),
('256','30','35','0','','fieldtype_date_added','','','0','','','0','','','0','','','2','0','0','0','0'),
('257','30','35','0','','fieldtype_date_updated','','','0','','','0','','','0','','','3','0','0','0','0'),
('258','30','35','0','','fieldtype_created_by','','','0','','','0','','','0','','','4','0','0','0','0'),
('259','30','35','0','','fieldtype_parent_item_id','','','0','','','0','','','0','','','5','1','5','0','0'),
('260','30','35','0','','fieldtype_entity','Пластик','','0','','','0','','','0','','{\"entity_id\":\"25\",\"display_as\":\"dropdown\",\"default_text\":\"\",\"width\":\"input-small\",\"fields_in_popup\":\"\"}','6','1','3','0','0'),
('261','30','35','0','','fieldtype_entity','Цвет','','0','','','0','','','0','','{\"entity_id\":\"26\",\"display_as\":\"dropdown\",\"default_text\":\"\",\"width\":\"input-small\",\"fields_in_popup\":\"\"}','7','1','4','0','0'),
('262','30','35','0','','fieldtype_text_pattern','Наименование','','1','','','0','','','0','','{\"pattern\":\"[260] [261]\"}','8','1','2','0','0'),
('264','31','36','0','','fieldtype_action','','','0','','','0','','','0','','','0','1','0','0','0'),
('265','31','36','0','','fieldtype_id','','','0','','','0','','','0','','','1','1','1','0','0'),
('266','31','36','0','','fieldtype_date_added','','','0','','','0','','','0','','','2','1','5','0','0'),
('267','31','36','0','','fieldtype_date_updated','','','0','','','0','','','0','','','3','1','6','0','0'),
('268','31','36','0','','fieldtype_created_by','','','0','','','0','','','0','','','4','1','7','0','0'),
('269','31','36','0','','fieldtype_parent_item_id','','','0','','','0','','','0','','','5','1','8','0','0'),
('270','31','36','0','','fieldtype_entity','Пластик','','0','','','0','','','0','','{\"entity_id\":\"30\",\"display_as\":\"dropdown\",\"default_text\":\"\",\"width\":\"input-small\",\"hide_plus_button\":\"1\",\"fields_in_popup\":\"\"}','0','1','2','0','0'),
('271','31','36','0','','fieldtype_input_numeric','Вес','','0','','','0','','','0','','{\"width\":\"input-small\",\"number_format\":\"2\\/.\\/*\",\"is_unique\":\"0\",\"unique_error_msg\":\"\",\"default_value\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"min_value\":\"\",\"max_value\":\"\"}','1','1','3','0','0'),
('272','30','35','0','','fieldtype_mysql_query','Поступило','','0','','','0','','','0','','{\"dinamic_query\":\"1\",\"entity_id\":\"31\",\"select_query\":\"SUM([271])*SUM([324])\",\"where_query\":\"[270]=e.id\",\"number_format\":\"2\\/.\\/*\",\"prefix\":\"\",\"suffix\":\"\"}','9','1','5','0','0'),
('273','30','35','0','','fieldtype_mysql_query','Расход','','0','','','0','','','0','','{\"dinamic_query\":\"1\",\"entity_id\":\"21\",\"select_query\":\"SUM([241])*SUM([319])\",\"where_query\":\"[242]=e.id\",\"number_format\":\"2\\/.\\/*\",\"prefix\":\"\",\"suffix\":\"\"}','10','1','6','0','0'),
('274','30','35','0','','fieldtype_formula','Остаток','','0','','','0','','','0','','{\"formula\":\"if([273] > 0,[272]-[273],[272])\",\"number_format\":\"2\\/.\\/*\",\"hide_field_if_empty\":\"1\",\"prefix\":\"\",\"suffix\":\"\"}','11','1','7','0','0'),
('276','32','37','0','','fieldtype_action','','','0','','','0','','','0','','','0','1','0','0','0'),
('277','32','37','0','','fieldtype_id','','','0','','','0','','','0','','','1','1','1','0','0'),
('278','32','37','0','','fieldtype_date_added','','','0','','','0','','','0','','','2','1','3','0','0'),
('279','32','37','0','','fieldtype_date_updated','','','0','','','0','','','0','','','3','1','4','0','0'),
('280','32','37','0','','fieldtype_created_by','','','0','','','0','','','0','','','4','1','5','0','0');

INSERT INTO app_fields VALUES
('281','32','37','0','','fieldtype_parent_item_id','','','0','','','0','','','0','','','5','1','5','0','0'),
('282','32','37','0','','fieldtype_input','Наименование','','1','','','0','','','0','','{\"width\":\"input-medium\",\"default_value\":\"\",\"is_unique\":\"0\",\"unique_error_msg\":\"\"}','6','1','2','0','0'),
('283','27','32','0','','fieldtype_entity','Поставщик','','0','','','0','','','0','','{\"entity_id\":\"32\",\"display_as\":\"dropdown\",\"default_text\":\"\",\"width\":\"input-small\",\"fields_in_popup\":\"\"}','1','1','3','0','0'),
('284','21','24','0','','fieldtype_entity','Заказчик','','0','','','0','','','0','','{\"entity_id\":\"33\",\"display_as\":\"dropdown\",\"default_text\":\"\",\"width\":\"input-medium\",\"allow_search\":\"1\",\"fields_in_popup\":\"\"}','4','1','3','0','0'),
('285','33','38','0','','fieldtype_action','','','0','','','0','','','0','','','0','1','0','0','0'),
('286','33','38','0','','fieldtype_id','','','0','','','0','','','0','','','1','1','1','0','0'),
('287','33','38','0','','fieldtype_date_added','','','0','','','0','','','0','','','2','1','7','0','0'),
('288','33','38','0','','fieldtype_date_updated','','','0','','','0','','','0','','','3','1','8','0','0'),
('289','33','38','0','','fieldtype_created_by','','','0','','','0','','','0','','','4','0','0','0','0'),
('290','33','38','0','','fieldtype_parent_item_id','','','0','','','0','','','0','','','5','1','5','0','0'),
('291','33','38','0','','fieldtype_dropdown','Тип заказчика','','0','','','0','','','0','','{\"default_text\":\"\",\"width\":\"input-medium\",\"use_search\":\"0\",\"use_global_list\":\"\",\"display_parent_name\":\"0\",\"parent_name_separator\":\":\"}','0','1','2','0','0'),
('292','33','38','0','','fieldtype_input','Наименование, ФИО','','1','','','0','','','0','','{\"allow_search\":\"1\",\"width\":\"input-medium\",\"default_value\":\"\",\"is_unique\":\"0\",\"unique_error_msg\":\"\"}','1','1','3','0','0'),
('293','33','38','0','','fieldtype_phone','Телефон','','0','','','0','','','0','','{\"allow_search\":\"1\",\"width\":\"input-medium\",\"mask\":\"9(999)9999999\",\"is_unique\":\"0\",\"unique_error_msg\":\"\"}','2','1','4','0','0'),
('294','33','38','0','','fieldtype_input_email','E-mail','','0','','','0','','','0','','{\"allow_search\":\"1\",\"width\":\"input-medium\",\"is_unique\":\"0\",\"unique_error_msg\":\"\"}','3','1','5','0','0'),
('295','34','39','0','','fieldtype_action','','','0','','','0','','','0','','','0','1','0','0','0'),
('296','34','39','0','','fieldtype_id','','','0','','','0','','','0','','','1','1','1','0','0'),
('297','34','39','0','','fieldtype_date_added','','','0','','','0','','','0','','','2','1','6','0','0'),
('298','34','39','0','','fieldtype_date_updated','','','0','','','0','','','0','','','3','1','7','0','0'),
('299','34','39','0','','fieldtype_created_by','','','0','','','0','','','0','','','4','1','8','0','0'),
('300','34','39','0','','fieldtype_parent_item_id','','','0','','','0','','','0','','','5','1','9','0','0'),
('301','33','38','0','','fieldtype_subentity_form','Контакт','','0','','','0','','','0','','{\"entity_id\":\"34\",\"max_count_records\":\"\",\"fields_display\":\"row\",\"fields_in_form\":[\"302\",\"303\",\"304\",\"305\"],\"listing_type\":\"table\",\"column_width\":\"\",\"auto_insert\":\"\",\"button_title\":\"\",\"button_position\":\"left\",\"button_icon\":\"\",\"button_color\":\"\"}','5','0','0','0','0'),
('302','34','39','0','','fieldtype_input','ФИО','','1','','','0','','','0','','{\"width\":\"input-large\",\"default_value\":\"\",\"is_unique\":\"0\",\"unique_error_msg\":\"\"}','6','1','2','0','0'),
('303','34','39','0','','fieldtype_phone','Телефон','','0','','','0','','','0','','{\"allow_search\":\"1\",\"width\":\"input-medium\",\"mask\":\"9(999)999-99-99\",\"is_unique\":\"0\",\"unique_error_msg\":\"\"}','7','1','3','0','0'),
('304','34','39','0','','fieldtype_input_email','E-mail','','0','','','0','','','0','','{\"allow_search\":\"1\",\"width\":\"input-medium\",\"is_unique\":\"0\",\"unique_error_msg\":\"\"}','8','1','4','0','0'),
('305','34','39','0','','fieldtype_dropdown','Должность','','0','','','0','','','0','','{\"default_text\":\"\",\"width\":\"input-medium\",\"use_search\":\"0\",\"use_global_list\":\"\",\"display_parent_name\":\"0\",\"parent_name_separator\":\":\"}','9','1','5','0','0'),
('306','35','42','0','','fieldtype_action','','','0','','','0','','','0','','','0','1','0','0','0'),
('307','35','42','0','','fieldtype_id','','','0','','','0','','','0','','','1','1','1','0','0'),
('308','35','42','0','','fieldtype_date_added','','','0','','','0','','','0','','','2','0','0','0','0'),
('309','35','42','0','','fieldtype_date_updated','','','0','','','0','','','0','','','3','0','0','0','0'),
('310','35','42','0','','fieldtype_created_by','','','0','','','0','','','0','','','4','0','0','0','0'),
('311','35','42','0','','fieldtype_parent_item_id','','','0','','','0','','','0','','','5','1','5','0','0'),
('312','35','42','0','','fieldtype_input_numeric','От, гр','','0','','','0','','','0','','{\"width\":\"input-small\",\"number_format\":\"2\\/.\\/*\",\"is_unique\":\"0\",\"unique_error_msg\":\"\",\"default_value\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"min_value\":\"\",\"max_value\":\"\"}','6','1','2','0','0'),
('313','35','42','0','','fieldtype_input_numeric','До, гр.','','0','','','0','','','0','','{\"width\":\"input-small\",\"number_format\":\"2\\/.\\/*\",\"is_unique\":\"0\",\"unique_error_msg\":\"\",\"default_value\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"min_value\":\"\",\"max_value\":\"\"}','7','1','3','0','0'),
('314','35','42','0','','fieldtype_input_numeric','Цена, руб.','','0','','','0','','','0','','{\"width\":\"input-small\",\"number_format\":\"2\\/.\\/*\",\"is_unique\":\"0\",\"unique_error_msg\":\"\",\"default_value\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"min_value\":\"\",\"max_value\":\"\"}','8','1','4','0','0'),
('315','21','24','0','','fieldtype_auto_increment','Номер заказа','','0','','','0','','','0','','{\"allow_search\":\"1\",\"width\":\"input-small\",\"is_unique\":\"0\",\"unique_error_msg\":\"\",\"view_only\":\"1\",\"default_value\":\"\",\"step\":\"\",\"prefix\":\"ORD-\",\"suffix\":\"\"}','0','1','2','0','0'),
('316','21','40','0','','fieldtype_attachments','Файл проекта','','0','','','0','','','0','','{\"allow_search\":\"1\",\"upload_limit\":\"\",\"upload_size_limit\":\"\",\"allowed_extensions\":\"zip, blend,stl,dwg,dxf,step\",\"check_delete_access\":\"1\"}','0','0','0','0','0'),
('317','21','41','0','','fieldtype_attachments','Файл слайсинга','','0','','','0','','','0','','{\"allow_search\":\"1\",\"upload_limit\":\"\",\"upload_size_limit\":\"\",\"allowed_extensions\":\"gcode\",\"check_delete_access\":\"1\"}','0','0','0','0','0'),
('318','21','41','0','','fieldtype_mysql_query','Цена грамма','','0','','','0','','','0','','{\"entity_id\":\"35\",\"select_query\":\"[314]\",\"where_query\":\"[241]>=[312] and [241]<=[313]\",\"number_format\":\"2\\/.\\/*\",\"prefix\":\"\",\"suffix\":\"\"}','2','0','0','0','0'),
('319','21','24','0','','fieldtype_input_numeric','Количество','','0','','','0','','','0','','{\"width\":\"input-small\",\"number_format\":\"2\\/.\\/*\",\"is_unique\":\"0\",\"unique_error_msg\":\"\",\"default_value\":\"1\",\"prefix\":\"\",\"suffix\":\"\",\"min_value\":\"\",\"max_value\":\"\"}','9','0','0','0','0'),
('320','21','41','0','','fieldtype_formula','Цена заказа','','0','','','0','','','0','','{\"formula\":\"[319]*[241]*[318]\",\"number_format\":\"2\\/.\\/*\",\"prefix\":\"\",\"suffix\":\"\"}','3','0','0','0','0'),
('321','21','41','0','','fieldtype_input_numeric','Время печати','','0','Укажите время печати в часах','','0','','','0','','{\"width\":\"input-small\",\"number_format\":\"2\\/.\\/*\",\"is_unique\":\"0\",\"unique_error_msg\":\"\",\"default_value\":\"1\",\"prefix\":\"\",\"suffix\":\"\",\"min_value\":\"\",\"max_value\":\"\"}','4','0','0','0','0'),
('322','31','36','0','','fieldtype_input_numeric','Цена','','0','','','0','','','0','','{\"width\":\"input-small\",\"number_format\":\"2\\/.\\/*\",\"calclulate_totals\":\"1\",\"is_unique\":\"0\",\"unique_error_msg\":\"\",\"default_value\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"min_value\":\"\",\"max_value\":\"\"}','3','1','4','0','0'),
('323','27','32','0','','fieldtype_mysql_query','Общая сумма','','0','','','0','','','0','','{\"dinamic_query\":\"1\",\"entity_id\":\"31\",\"select_query\":\"SUM([325])\",\"where_query\":\"parent_item_id=e.id\",\"number_format\":\"2\\/.\\/*\",\"prefix\":\"\",\"suffix\":\"\"}','6','1','4','0','0'),
('324','31','36','0','','fieldtype_input_numeric','Кол-во','','0','','','0','','','0','','{\"width\":\"input-small\",\"number_format\":\"2\\/.\\/*\",\"is_unique\":\"0\",\"unique_error_msg\":\"\",\"default_value\":\"1\",\"prefix\":\"\",\"suffix\":\"\",\"min_value\":\"\",\"max_value\":\"\"}','2','0','0','0','0'),
('325','31','36','0','','fieldtype_formula','Итого','','0','','','0','','','0','','{\"formula\":\"[322]*[324]\",\"number_format\":\"2\\/.\\/*\",\"calclulate_totals\":\"1\",\"prefix\":\"\",\"suffix\":\"\"}','4','0','0','0','0'),
('326','21','24','0','','fieldtype_input_date','Дата окончания','','0','','','0','','','0','','{\"date_format\":\"\",\"default_value\":\"\",\"min_date\":\"\",\"max_date\":\"\",\"is_unique\":\"0\",\"unique_error_msg\":\"\",\"background\":\"\",\"day_before_date\":\"1\",\"day_before_date_color\":\"#FFEB3B\",\"day_before_date2\":\"\",\"day_before_date2_color\":\"\",\"disable_color_by_field\":\"157\",\"disable_color_by_field_choices\":[\"37\",\"40\"]}','6','1','10','0','0'),
('327','33','38','0','','fieldtype_user_roles','Менеджер','','0','','','0','','','0','','{\"display_as\":\"dropdown\",\"hide_admin\":\"1\",\"authorized_user_by_default\":\"1\"}','4','1','6','0','0'),
('328','32','37','0','','fieldtype_user_roles','Менеджер','','0','','','0','','','0','','{\"display_as\":\"dropdown\",\"hide_admin\":\"1\",\"authorized_user_by_default\":\"1\"}','7','0','0','0','0'),
('329','27','32','0','','fieldtype_user_roles','Менеджер','','0','','','0','','','0','','{\"display_as\":\"dropdown\",\"authorized_user_by_default\":\"1\"}','7','0','0','0','0');

CREATE TABLE IF NOT EXISTS `app_fields_access` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `access_groups_id` int(11) NOT NULL,
  `entities_id` int(11) NOT NULL,
  `fields_id` int(11) NOT NULL,
  `access_schema` varchar(64) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_access_groups_id` (`access_groups_id`)
) ENGINE=InnoDB AUTO_INCREMENT=60 DEFAULT CHARSET=utf8mb4;

INSERT INTO app_fields_access VALUES
('25','6','21','156','view'),
('27','6','21','158','view'),
('28','6','21','284','view'),
('29','6','21','159','view'),
('30','6','21','326','view'),
('31','6','21','160','view'),
('33','6','21','319','view'),
('34','6','21','162','view'),
('35','6','21','316','view'),
('36','6','21','318','hide'),
('37','6','21','320','hide'),
('38','6','21','161','view'),
('44','5','21','156','view'),
('45','6','21','242','view'),
('46','5','21','197','view'),
('47','5','21','158','view'),
('48','5','21','284','view'),
('49','5','21','159','view'),
('50','5','21','160','view'),
('51','5','21','242','view'),
('52','5','21','319','view'),
('53','5','21','162','view'),
('54','5','21','317','view'),
('55','5','21','241','view'),
('56','5','21','318','hide'),
('57','5','21','320','hide'),
('58','5','21','321','hide'),
('59','5','21','161','view');

CREATE TABLE IF NOT EXISTS `app_fields_choices` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL DEFAULT 0,
  `fields_id` int(11) NOT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT 1,
  `name` varchar(255) NOT NULL,
  `is_default` tinyint(1) DEFAULT NULL,
  `bg_color` varchar(16) NOT NULL,
  `sort_order` int(11) DEFAULT NULL,
  `users` text NOT NULL,
  `value` varchar(64) NOT NULL,
  `filename` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_parent_id` (`parent_id`)
) ENGINE=InnoDB AUTO_INCREMENT=80 DEFAULT CHARSET=utf8mb4;

INSERT INTO app_fields_choices VALUES
('34','0','156','1','Срочный','0','','1','','',''),
('35','0','156','1','Высокий','0','','2','','',''),
('37','0','157','1','Новый','0','','1','','',''),
('38','0','157','1','Проектирование','0','','2','','',''),
('39','0','157','1','Слайсинг','0','','3','','',''),
('40','0','157','1','Печать выполнена','0','','4','','',''),
('41','0','157','1','Отменён','0','','5','','',''),
('56','0','182','1','Техническая поддержка','0','','0','19','',''),
('57','0','183','1','Запрос на изменение','0','','1','','',''),
('58','0','183','1','Сообщить об ошибке','0','','2','','',''),
('59','0','183','1','Задать вопрос','0','','3','','',''),
('60','0','186','1','Новый','1','','0','','',''),
('61','0','186','1','Открытый','0','','2','','',''),
('62','0','186','1','Ожидание ответа','0','','3','','',''),
('63','0','186','1','Закрыт','0','','4','','',''),
('64','0','186','1','Отменен','0','','5','','',''),
('65','0','193','1','Открыт','0','','1','','',''),
('66','0','193','1','Закрыт','0','','2','','',''),
('67','0','193','1','Новый','1','','0','','',''),
('68','0','156','1','Нормальный ','1','','0','','',''),
('69','0','284','1','Организация','0','','0','','',''),
('70','0','284','1','Частное лицо','0','','0','','',''),
('71','0','305','1','Менеджер','1','','0','','',''),
('72','0','305','1','Старший менеджер','0','','1','','',''),
('73','0','305','1','Руководитель отдела','0','','2','','',''),
('74','0','305','1','Руководитель филиала','0','','3','','',''),
('75','0','305','1','Бухгалтер','0','','4','','',''),
('76','0','305','1','Директор','0','','5','','',''),
('77','0','291','1','Частное лицо','1','','0','','',''),
('78','0','291','1','Организация','0','','0','','',''),
('79','0','305','1','Инженер','0','','1','','','');

CREATE TABLE IF NOT EXISTS `app_filters_panels` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `type` varchar(64) NOT NULL,
  `is_active` tinyint(1) NOT NULL,
  `is_active_filters` tinyint(1) NOT NULL,
  `position` varchar(16) NOT NULL,
  `users_groups` text NOT NULL,
  `width` tinyint(1) NOT NULL,
  `sort_order` smallint(6) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_filters_panels_fields` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `panels_id` int(11) NOT NULL,
  `entities_id` int(11) NOT NULL,
  `fields_id` int(11) NOT NULL,
  `title` varchar(64) NOT NULL,
  `width` varchar(16) NOT NULL,
  `height` varchar(16) NOT NULL,
  `display_type` varchar(32) NOT NULL,
  `search_type_match` tinyint(1) NOT NULL,
  `exclude_values` text NOT NULL,
  `sort_order` smallint(6) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_panels_id` (`panels_id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_entities_id` (`entities_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_forms_fields_rules` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `entities_id` int(10) unsigned NOT NULL,
  `fields_id` int(10) unsigned NOT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT 1,
  `choices` text NOT NULL,
  `visible_fields` text NOT NULL,
  `hidden_fields` text NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`),
  KEY `idx_fields_id` (`fields_id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4;

INSERT INTO app_forms_fields_rules VALUES
('2','33','291','1','77','','301','0'),
('3','33','291','1','78','301','','0'),
('4','21','157','1','38','316','317,241,318,320,321','0'),
('5','21','157','1','39','317,241,318,320,321','','0'),
('6','21','157','1','37','','316,317,241,318,320,321','0'),
('8','21','157','1','40','','','0');

CREATE TABLE IF NOT EXISTS `app_forms_rows` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `forms_tabs_id` int(11) NOT NULL,
  `columns` tinyint(4) NOT NULL,
  `column1_width` tinyint(4) NOT NULL,
  `column2_width` tinyint(4) NOT NULL,
  `column3_width` tinyint(4) NOT NULL,
  `column4_width` tinyint(4) NOT NULL,
  `column5_width` tinyint(4) NOT NULL,
  `column6_width` tinyint(4) NOT NULL,
  `field_name_new_row` tinyint(1) NOT NULL,
  `sort_order` smallint(6) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `entities_id` (`entities_id`),
  KEY `forms_tabs_id` (`forms_tabs_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_forms_tabs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `parent_id` int(11) NOT NULL DEFAULT 0,
  `is_folder` tinyint(1) NOT NULL DEFAULT 0,
  `name` varchar(64) NOT NULL,
  `description` text NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`)
) ENGINE=InnoDB AUTO_INCREMENT=44 DEFAULT CHARSET=utf8mb4;

INSERT INTO app_forms_tabs VALUES
('1','1','0','0','Информация','','0'),
('24','21','0','0','Информация','','0'),
('25','21','0','0','Команда','','3'),
('28','23','0','0','Информация','','0'),
('29','24','0','0','Информация','','0'),
('30','25','0','0','Информация','','0'),
('31','26','0','0','Информация','','0'),
('32','27','0','0','Информация','','0'),
('35','30','0','0','Информация','','0'),
('36','31','0','0','Информация','','0'),
('37','32','0','0','Информация','','0'),
('38','33','0','0','Информация','','0'),
('39','34','0','0','Информация','','0'),
('40','21','0','0','Проект','','1'),
('41','21','0','0','Слайсинг','','2'),
('42','35','0','0','Информация','','0');

CREATE TABLE IF NOT EXISTS `app_global_lists` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) NOT NULL,
  `notes` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_global_lists_choices` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL DEFAULT 0,
  `lists_id` int(11) NOT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT 1,
  `name` varchar(255) NOT NULL,
  `is_default` tinyint(1) DEFAULT NULL,
  `bg_color` varchar(16) NOT NULL,
  `value` varchar(64) NOT NULL,
  `sort_order` int(11) DEFAULT NULL,
  `users` text NOT NULL,
  `notes` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_parent_id` (`parent_id`),
  KEY `idx_lists_id` (`lists_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_global_vars` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL,
  `is_folder` tinyint(1) NOT NULL,
  `name` varchar(64) NOT NULL,
  `value` varchar(255) NOT NULL,
  `notes` text NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_parent_id` (`parent_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_help_pages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `created_by` int(11) NOT NULL,
  `type` varchar(16) NOT NULL,
  `is_active` tinyint(1) NOT NULL,
  `name` varchar(255) NOT NULL,
  `icon` varchar(64) NOT NULL,
  `start_date` int(11) NOT NULL,
  `end_date` int(11) NOT NULL,
  `description` text NOT NULL,
  `color` varchar(16) NOT NULL,
  `position` varchar(16) NOT NULL,
  `users_groups` text NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_created_by` (`created_by`),
  KEY `idx_entities_id` (`entities_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_holidays` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `start_date` date NOT NULL,
  `end_date` date NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_image_map_labels` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `map_id` int(11) NOT NULL,
  `choices_id` int(11) NOT NULL,
  `x` int(11) NOT NULL,
  `y` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_map_id` (`map_id`),
  KEY `idx_choices_id` (`choices_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_image_map_markers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `items_id` int(11) NOT NULL,
  `map_id` int(11) NOT NULL,
  `x` int(11) NOT NULL,
  `y` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_map_id` (`map_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_image_map_markers_nested` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `items_id` int(11) NOT NULL,
  `fields_id` int(11) NOT NULL,
  `x` int(11) NOT NULL,
  `y` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_fields_id` (`fields_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_items_export_templates` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `users_id` int(11) NOT NULL,
  `name` varchar(64) NOT NULL,
  `templates_fields` text NOT NULL,
  `is_default` tinyint(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `cidx` (`entities_id`,`users_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_listing_highlight_rules` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `entities_id` int(10) unsigned NOT NULL,
  `is_active` tinyint(1) NOT NULL,
  `fields_id` int(10) unsigned NOT NULL,
  `fields_values` text NOT NULL,
  `bg_color` varchar(7) NOT NULL,
  `sort_order` int(11) NOT NULL,
  `notes` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `entities_id` (`entities_id`),
  KEY `fields_id` (`fields_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_listing_sections` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `listing_types_id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `fields` text NOT NULL,
  `display_as` varchar(16) NOT NULL,
  `display_field_names` tinyint(1) NOT NULL,
  `text_align` varchar(16) NOT NULL,
  `width` varchar(16) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_listing_types_id` (`listing_types_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_listing_types` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `type` varchar(16) NOT NULL,
  `is_active` tinyint(1) NOT NULL,
  `is_default` tinyint(4) NOT NULL,
  `width` smallint(6) NOT NULL,
  `settings` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`)
) ENGINE=InnoDB AUTO_INCREMENT=61 DEFAULT CHARSET=utf8mb4;

INSERT INTO app_listing_types VALUES
('1','27','table','1','1','0',''),
('2','27','tree_table','0','0','0',''),
('3','27','list','0','0','0',''),
('4','27','grid','0','0','0',''),
('5','27','mobile','0','0','0',''),
('6','28','table','1','1','0',''),
('7','28','tree_table','0','0','0',''),
('8','28','list','0','0','0',''),
('9','28','grid','0','0','0',''),
('10','28','mobile','0','0','0',''),
('11','21','table','1','1','0',''),
('12','21','tree_table','0','0','0',''),
('13','21','list','0','0','0',''),
('14','21','grid','0','0','0',''),
('15','21','mobile','0','0','0',''),
('16','29','table','1','1','0',''),
('17','29','tree_table','0','0','0',''),
('18','29','list','0','0','0',''),
('19','29','grid','0','0','0',''),
('20','29','mobile','0','0','0',''),
('21','30','table','1','1','0',''),
('22','30','tree_table','0','0','0',''),
('23','30','list','0','0','0',''),
('24','30','grid','0','0','0',''),
('25','30','mobile','0','0','0',''),
('26','31','table','1','1','0',''),
('27','31','tree_table','0','0','0',''),
('28','31','list','0','0','0',''),
('29','31','grid','0','0','0',''),
('30','31','mobile','0','0','0',''),
('31','25','table','1','1','0',''),
('32','25','tree_table','0','0','0',''),
('33','25','list','0','0','0',''),
('34','25','grid','0','0','0',''),
('35','25','mobile','0','0','0',''),
('36','26','table','1','1','0',''),
('37','26','tree_table','0','0','0',''),
('38','26','list','0','0','0',''),
('39','26','grid','0','0','0',''),
('40','26','mobile','0','0','0',''),
('41','32','table','1','1','0',''),
('42','32','tree_table','0','0','0',''),
('43','32','list','0','0','0',''),
('44','32','grid','0','0','0',''),
('45','32','mobile','0','0','0',''),
('46','35','table','1','1','0',''),
('47','35','tree_table','0','0','0',''),
('48','35','list','0','0','0',''),
('49','35','grid','0','0','0',''),
('50','35','mobile','0','0','0',''),
('51','33','table','1','1','0',''),
('52','33','tree_table','0','0','0',''),
('53','33','list','0','0','0',''),
('54','33','grid','0','0','0',''),
('55','33','mobile','0','0','0',''),
('56','34','table','1','1','0',''),
('57','34','tree_table','0','0','0',''),
('58','34','list','0','0','0',''),
('59','34','grid','0','0','0',''),
('60','34','mobile','0','0','0','');

CREATE TABLE IF NOT EXISTS `app_mind_map` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `items_id` int(11) DEFAULT NULL,
  `fields_id` int(11) DEFAULT NULL,
  `reports_id` int(11) DEFAULT NULL,
  `mm_id` varchar(64) NOT NULL,
  `mm_parent_id` varchar(64) NOT NULL,
  `mm_text` varchar(255) NOT NULL,
  `mm_layout` varchar(16) NOT NULL,
  `mm_shape` varchar(16) NOT NULL,
  `mm_side` varchar(16) NOT NULL,
  `mm_color` varchar(16) NOT NULL,
  `mm_icon` varchar(32) NOT NULL,
  `mm_collapsed` varchar(1) NOT NULL,
  `mm_value` varchar(64) NOT NULL,
  `mm_items_id` int(11) DEFAULT 0,
  `parent_entity_item_id` int(11) NOT NULL DEFAULT 0,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_reports_id` (`reports_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_portlets` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(128) NOT NULL,
  `users_id` int(11) NOT NULL,
  `is_collapsed` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_name` (`name`,`users_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4;

INSERT INTO app_portlets VALUES
('1','filters_preview_86','1','0');

CREATE TABLE IF NOT EXISTS `app_records_visibility_rules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `is_active` tinyint(1) NOT NULL,
  `users_groups` text NOT NULL,
  `merged_fields` text NOT NULL,
  `merged_fields_empty_values` text NOT NULL,
  `notes` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_reports` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL DEFAULT 0,
  `entities_id` int(11) NOT NULL,
  `created_by` int(11) NOT NULL,
  `reports_type` varchar(64) NOT NULL,
  `name` varchar(64) NOT NULL,
  `menu_icon` varchar(64) NOT NULL,
  `icon_color` varchar(7) NOT NULL,
  `bg_color` varchar(7) NOT NULL,
  `in_menu` tinyint(1) NOT NULL DEFAULT 0,
  `in_dashboard` tinyint(4) NOT NULL DEFAULT 0,
  `in_dashboard_counter` tinyint(1) NOT NULL DEFAULT 0,
  `in_dashboard_icon` tinyint(1) NOT NULL,
  `in_dashboard_counter_color` varchar(16) NOT NULL,
  `in_dashboard_counter_bg_color` varchar(16) NOT NULL,
  `in_dashboard_counter_fields` varchar(255) NOT NULL,
  `dashboard_counter_hide_count` tinyint(1) NOT NULL DEFAULT 0,
  `dashboard_counter_hide_zero_count` tinyint(1) NOT NULL,
  `dashboard_counter_sum_by_field` int(11) NOT NULL,
  `in_header` tinyint(1) NOT NULL DEFAULT 0,
  `in_header_autoupdate` tinyint(1) NOT NULL,
  `dashboard_sort_order` int(11) DEFAULT NULL,
  `header_sort_order` int(11) NOT NULL DEFAULT 0,
  `dashboard_counter_sort_order` int(11) NOT NULL DEFAULT 0,
  `listing_order_fields` text NOT NULL,
  `users_groups` text NOT NULL,
  `assigned_to` text NOT NULL,
  `displays_assigned_only` tinyint(1) NOT NULL DEFAULT 0,
  `parent_entity_id` int(11) NOT NULL DEFAULT 0,
  `parent_item_id` int(11) NOT NULL DEFAULT 0,
  `fields_in_listing` text NOT NULL,
  `rows_per_page` int(11) NOT NULL DEFAULT 0,
  `notification_days` varchar(32) NOT NULL,
  `notification_time` varchar(255) NOT NULL,
  `listing_type` varchar(16) NOT NULL,
  `listing_col_width` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_entities_id` (`entities_id`),
  KEY `idx_created_by` (`created_by`),
  KEY `idx_parent_id` (`parent_id`),
  KEY `idx_parent_entity_id` (`parent_entity_id`),
  KEY `idx_parent_item_id` (`parent_item_id`),
  KEY `idx_reports_type` (`reports_type`),
  KEY `idx_in_dashboard` (`in_dashboard`),
  KEY `idx_in_dashboard_counter` (`in_dashboard_counter`)
) ENGINE=InnoDB AUTO_INCREMENT=110 DEFAULT CHARSET=utf8mb4;

INSERT INTO app_reports VALUES
('59','0','21','0','default','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','0','0','','0','','','',''),
('63','0','23','0','default','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','0','0','','0','','','',''),
('68','0','27','1','entity','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','0','0','','0','','','',''),
('69','0','25','1','entity','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','0','0','','0','','','',''),
('70','0','26','1','entity','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','0','0','','0','','','',''),
('72','0','27','1','parent','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','0','0','','0','','','',''),
('82','0','21','1','entity','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','0','0','','0','','','',''),
('86','0','30','1','entity','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','0','0','','0','','','',''),
('89','0','31','1','entity','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','27','5','','0','','','',''),
('90','0','31','1','entity','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','27','6','','0','','','',''),
('92','0','31','0','parent_item_info_page','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','0','0','','0','','','',''),
('93','0','30','1','standard','Остаток','','','','0','1','0','0','','','272,273,274','1','0','0','0','1',NULL,'0','0','','','','0','0','0','','0','','','',''),
('94','0','32','1','entity','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','0','0','','0','','','',''),
('95','0','1','1','entity','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','0','0','','0','','','',''),
('96','0','33','1','entity','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','0','0','','0','','','',''),
('97','0','35','1','entity','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','0','0','','0','','','',''),
('98','0','34','1','entity','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','33','1','','0','','','',''),
('99','0','34','1','entity','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','33','2','','0','','','',''),
('100','0','34','1','entity','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','33','3','','0','','','',''),
('101','0','23','1','entity','','','','','0','0','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','21','3','','0','','','',''),
('102','0','21','1','standard','Заказы в работе','','','','0','1','0','0','','','','0','0','0','0','0',NULL,'0','0','','','','0','0','0','','0','','','',''),
('103','0','21','1','standard','Просроченные заказы','','','','0','0','0','0','','','','0','0','0','1','1','0','0','0','','','','0','0','0','','0','','','table','');

CREATE TABLE IF NOT EXISTS `app_reports_filters` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `reports_id` int(11) NOT NULL,
  `fields_id` int(11) NOT NULL,
  `filters_values` text NOT NULL,
  `filters_condition` varchar(64) NOT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`),
  KEY `idx_reports_id` (`reports_id`),
  KEY `idx_fields_id` (`fields_id`)
) ENGINE=InnoDB AUTO_INCREMENT=94 DEFAULT CHARSET=utf8mb4;

INSERT INTO app_reports_filters VALUES
('68','59','157','37,38,39','include','1'),
('72','63','186','60,61,62','include','1'),
('79','82','157','37,38,39','include','1'),
('86','101','186','60,61,62','include','1'),
('87','102','157','37,38,39','include','1'),
('90','103','326','+1,,','filter_by_days','1');

CREATE TABLE IF NOT EXISTS `app_reports_filters_templates` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `fields_id` int(11) NOT NULL,
  `users_id` int(11) NOT NULL,
  `filters_values` text NOT NULL,
  `filters_condition` varchar(64) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `cidx` (`fields_id`,`users_id`),
  KEY `idx_fields_id` (`fields_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_reports_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `menu_icon` varchar(64) NOT NULL,
  `icon_color` varchar(7) NOT NULL,
  `bg_color` varchar(7) NOT NULL,
  `in_menu` tinyint(1) NOT NULL,
  `in_dashboard` tinyint(1) NOT NULL,
  `sort_order` smallint(6) NOT NULL,
  `counters_list` text NOT NULL,
  `reports_list` text NOT NULL,
  `created_by` int(11) NOT NULL,
  `is_common` tinyint(1) NOT NULL DEFAULT 0,
  `users_groups` text NOT NULL,
  `assigned_to` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_created_by` (`created_by`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_reports_sections` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `created_by` int(11) NOT NULL,
  `count_columns` tinyint(1) NOT NULL DEFAULT 2,
  `reports_groups_id` int(11) NOT NULL,
  `report_left` varchar(64) NOT NULL,
  `report_right` varchar(64) NOT NULL,
  `sort_order` smallint(6) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_reports_groups_id` (`reports_groups_id`),
  KEY `idx_created_by` (`created_by`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_sessions` (
  `sesskey` varchar(32) NOT NULL,
  `expiry` bigint(20) unsigned NOT NULL,
  `value` text NOT NULL,
  PRIMARY KEY (`sesskey`),
  KEY `idx_expiry` (`expiry`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_user_filters_values` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `filters_id` int(11) NOT NULL,
  `reports_id` int(11) NOT NULL,
  `fields_id` int(11) NOT NULL,
  `filters_values` text NOT NULL,
  `filters_condition` varchar(64) NOT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`),
  KEY `idx_filters_id` (`filters_id`),
  KEY `idx_reports_id` (`reports_id`),
  KEY `idx_fields_id` (`fields_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_user_roles` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entities_id` int(11) NOT NULL,
  `fields_id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_entities_id` (`entities_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_user_roles_access` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_roles_id` int(11) NOT NULL,
  `fields_id` int(11) NOT NULL,
  `entities_id` int(11) NOT NULL,
  `access_schema` varchar(255) NOT NULL,
  `comments_access` varchar(64) NOT NULL,
  `fields_access` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_fields_id` (`fields_id`),
  KEY `idx_user_roles_id` (`user_roles_id`),
  KEY `entities_id` (`entities_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_user_roles_to_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `fields_id` int(11) NOT NULL,
  `entities_id` int(11) NOT NULL,
  `items_id` int(11) NOT NULL,
  `users_id` int(11) NOT NULL,
  `roles_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_roles_id` (`roles_id`),
  KEY `idx_users_id` (`users_id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_entities_id` (`entities_id`),
  KEY `idx_fields_id` (`fields_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_users_alerts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `is_active` tinyint(1) NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `type` varchar(16) NOT NULL,
  `location` varchar(16) NOT NULL,
  `start_date` bigint(20) unsigned NOT NULL,
  `end_date` bigint(20) unsigned NOT NULL,
  `assigned_to` text NOT NULL,
  `users_groups` text NOT NULL,
  `created_by` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_created_by` (`created_by`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_users_alerts_viewed` (
  `users_id` int(11) NOT NULL,
  `alerts_id` int(11) NOT NULL,
  KEY `idx_ueser_alerts` (`users_id`,`alerts_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_users_configuration` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `users_id` int(11) NOT NULL,
  `configuration_name` varchar(255) NOT NULL,
  `configuration_value` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_users_id` (`users_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_users_filters` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `reports_id` int(11) NOT NULL,
  `users_id` int(11) NOT NULL,
  `name` varchar(64) NOT NULL,
  `fields_in_listing` text NOT NULL,
  `listing_order_fields` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_reports_id` (`reports_id`),
  KEY `idx_users_id` (`users_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_users_login_log` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `users_id` int(11) DEFAULT NULL,
  `username` varchar(255) NOT NULL,
  `identifier` varchar(255) NOT NULL,
  `is_success` tinyint(1) NOT NULL,
  `date_added` bigint(20) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_users_id` (`users_id`)
) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_users_notifications` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `users_id` int(11) NOT NULL,
  `entities_id` int(11) NOT NULL,
  `items_id` int(11) NOT NULL,
  `name` text NOT NULL,
  `type` varchar(16) NOT NULL,
  `date_added` bigint(20) unsigned NOT NULL,
  `created_by` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_users_id` (`users_id`),
  KEY `idx_entities_id` (`entities_id`),
  KEY `idx_items_id` (`items_id`),
  KEY `idx_uei` (`users_id`,`entities_id`) USING BTREE,
  KEY `idx_created_by` (`created_by`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4;

CREATE TABLE IF NOT EXISTS `app_users_search_settings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `users_id` int(11) NOT NULL,
  `reports_id` int(11) NOT NULL,
  `configuration_name` varchar(255) NOT NULL,
  `configuration_value` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_users_id` (`users_id`),
  KEY `idx_users_reports_id` (`users_id`,`reports_id`),
  KEY `idx_reports_id` (`reports_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

